package cn.muchinfo.rma.global.data.account

import cn.muchinfo.rma.global.data.account.loginQeruy.*

/**
 * 还有个markets字段，似乎用不着，暂时不缓存
 */
data class LoginQueryData(
    val userName: String = "", // 用户姓名
    val loginAccount: LoginAccount? = null, // 登录账号
    val userAccount : UserAccount? = null, // 用户账号
    val userInfo: UserInfo? = null, // 用户信息
    val goodsgroups: List<GoodsGroups>? = arrayListOf(), // 商品组
    val externalExchanges: List<ExternalExchanges>? = arrayListOf(), // 外部交易所
    val systemParams: List<SystemParams>? = arrayListOf() // 系统参数
) {

    /**
     * 外部交易所和商品的映射关系
     */
    fun makeGoods() {
        var map = mutableMapOf<Int, String>() // 外部交易所autoId和商品组中的exExchangeId对应的，这里的map保存autoId,"goodsid,goodsid,goodsid"
        var list = goodsgroups?.map {
            if (map.containsKey(it.exexchangeid)) { // 如果有

            } else { // 如果没有，直接add

            }
        }
    }

}